Package org.apache.sysds.runtime.matrix.data

# Class LibMatrixDNNConv2d

java.lang.Object
org.apache.sysds.runtime.matrix.data.LibMatrixDNNConv2d

public class LibMatrixDNNConv2d extends Object
This class contains the set of operators used for performing conv2d

## Constructor Summary

Constructors
Constructor
Description
`LibMatrixDNNConv2d()`

## Method Summary

Modifier and Type
Method
Description
`static ArrayList<Callable<Long>>`
`getConv2dBackwardDataWorkers(DnnParameters params)`
Factory method that returns list of callable tasks for performing conv2d backward data
`static ArrayList<Callable<Long>>`
`getConv2dBackwardFilterWorkers(DnnParameters params)`
Factory method that returns list of callable tasks for performing conv2d backward filter
`static ArrayList<Callable<Long>>`
`getConv2dWorkers(DnnParameters params)`
Factory method that returns list of callable tasks for performing conv2d

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LibMatrixDNNConv2d

public LibMatrixDNNConv2d()

## Method Details

### getConv2dWorkers

public static ArrayList<Callable<Long>> getConv2dWorkers(DnnParameters params)
Factory method that returns list of callable tasks for performing conv2d

Parameters:
  `params` - convolution parameters
Returns:
  list of callable tasks for performing conv2d

### getConv2dBackwardFilterWorkers

public static ArrayList<Callable<Long>> getConv2dBackwardFilterWorkers(DnnParameters params)
Factory method that returns list of callable tasks for performing conv2d backward filter

Parameters:
  `params` - convolution parameters
Returns:
  list of callable tasks for performing conv2d backward filter

### getConv2dBackwardDataWorkers

public static ArrayList<Callable<Long>> getConv2dBackwardDataWorkers(DnnParameters params)
Factory method that returns list of callable tasks for performing conv2d backward data

Parameters:
  `params` - convolution parameters
Returns:
  list of callable tasks for performing conv2d backward data